@echo off
:start
echo.
echo Veuillez choisir une couleur :
echo.
echo (1) Bleu lumiere
echo (2) Beige sahara
echo (3) Marron glace
echo (4) Rouge de feu
echo (5) Bleu crepuscule
echo (6) Gris platine
echo (7) Beige angora
echo (8) Gris eclipse
echo (9) Vert abysse
echo (a) Noir nacre
echo (b) Bleu orage
echo (c) Vitres et lunette arrieres surteintes
echo.
set /p choix= La couleur choisie est :
rem CLS
rem if not '%choix%'== set choix=%choix:~0,1%
if '%choix%'=='1' goto bl
if '%choix%'=='2' goto bs
if '%choix%'=='3' goto mg
if '%choix%'=='4' goto rf
if '%choix%'=='5' goto bc
if '%choix%'=='6' goto gp
if '%choix%'=='7' goto ba
if '%choix%'=='8' goto ge
if '%choix%'=='9' goto va
if '%choix%'=='a' goto nn
if '%choix%'=='b' goto ora
if '%choix%'=='c' goto tint
echo.
echo "%choix%" choix impossible, veuillez reessayer
pause
cls
:bl
rem echo Vous avez choisi la couleur %choix%
pause
..\..\..\..\ini ..\car.shd body.ambient "0.26 0.26 0.40 1"
..\..\..\..\ini ..\car.shd body.diffuse "0.30 0.30 0.40 1"
..\..\..\..\ini ..\car.shd body.specular "0.55 0.55 0.65 1"
..\..\..\..\ini ..\car.shd body.shininess "15"
..\..\..\..\ini ..\car_nocg.shd body.ambient "0.26 0.26 0.40 1"
..\..\..\..\ini ..\car_nocg.shd body.diffuse "0.30 0.30 0.40 1"
..\..\..\..\ini ..\car_nocg.shd body.specular "0.55 0.55 0.65 1"
..\..\..\..\ini ..\car_nocg.shd body.shininess "15"
..\..\..\..\ini ..\car.shd shader_vitres.layer0.map "textures/vitres.tga"
goto amb1
:bs
rem echo Vous avez choisi la couleur %choix%
pause
..\..\..\..\ini ..\car.shd body.ambient "0.24 0.23 0.18 1"
..\..\..\..\ini ..\car.shd body.diffuse "0.26 0.23 0.14 1"
..\..\..\..\ini ..\car.shd body.specular "0.75 0.50 0.40 1"
..\..\..\..\ini ..\car.shd body.shininess "18"
..\..\..\..\ini ..\car.shd shader_vitres.layer0.map "textures/vitres.tga"
goto amb1
:mg
rem echo Vous avez choisi la couleur %choix%
pause
..\..\..\..\ini ..\car.shd body.ambient "0.00 0.00 0.00 1"
..\..\..\..\ini ..\car.shd body.diffuse "0.01 0.004 0.00 1"
..\..\..\..\ini ..\car.shd body.specular "0.10 0.06 0.04 1"
..\..\..\..\ini ..\car.shd body.shininess "15"
..\..\..\..\ini ..\car.shd shader_vitres.layer0.map "textures/vitres.tga"
goto amb1
:rf
rem echo Vous avez choisi la couleur %choix%
pause
..\..\..\..\ini ..\car.shd body.ambient "0.05 0.01 0.01 1"
..\..\..\..\ini ..\car.shd body.diffuse "0.10 0.01 0.01 1"
..\..\..\..\ini ..\car.shd body.specular "0.48 0.16 0.08 1"
..\..\..\..\ini ..\car.shd body.shininess "30"
..\..\..\..\ini ..\car.shd shader_vitres.layer0.map "textures/vitres.tga"
goto amb1
:bc
rem echo Vous avez choisi la couleur %choix%
pause
..\..\..\..\ini ..\car.shd body.ambient "0.00 0.00 0.01 1"
..\..\..\..\ini ..\car.shd body.diffuse "0.00 0.00 0.01 1"
..\..\..\..\ini ..\car.shd body.specular "0.10 0.10 0.11 1"
..\..\..\..\ini ..\car.shd body.shininess "15"
..\..\..\..\ini ..\car.shd shader_vitres.layer0.map "textures/vitres.tga"
goto amb1
:gp
rem echo Vous avez choisi la couleur %choix%
pause
..\..\..\..\ini ..\car.shd body.ambient "0.20 0.20 0.20 1"
..\..\..\..\ini ..\car.shd body.diffuse "0.23 0.23 0.25 1"
..\..\..\..\ini ..\car.shd body.specular "0.60 0.57 0.55 1"
..\..\..\..\ini ..\car.shd body.shininess "10"
..\..\..\..\ini ..\car.shd shader_vitres.layer0.map "textures/vitres.tga"
goto amb1
:ba
rem echo Vous avez choisi la couleur %choix%
pause
..\..\..\..\ini ..\car.shd body.ambient "0.22 0.20 0.21 1"
..\..\..\..\ini ..\car.shd body.diffuse "0.22 0.16 0.19 1"
..\..\..\..\ini ..\car.shd body.specular "0.75 0.50 0.30 1"
..\..\..\..\ini ..\car.shd body.shininess "15"
..\..\..\..\ini ..\car.shd shader_vitres.layer0.map "textures/vitres.tga"
goto amb1
:va
rem echo Vous avez choisi la couleur %choix%
pause
..\..\..\..\ini ..\car.shd body.ambient "0.004 0.005 0.04 1"
..\..\..\..\ini ..\car.shd body.diffuse "0.015 0.017 0.016 1"
..\..\..\..\ini ..\car.shd body.specular "0.11 0.12 0.13 1"
..\..\..\..\ini ..\car.shd body.shininess "21"
..\..\..\..\ini ..\car.shd shader_vitres.layer0.map "textures/vitres.tga"
goto amb1
:ge
rem echo Vous avez choisi la couleur %choix%
pause
..\..\..\..\ini ..\car.shd body.ambient "0.012 0.012 0.0125 1"
..\..\..\..\ini ..\car.shd body.diffuse "0.015 0.015 0.0155 1"
..\..\..\..\ini ..\car.shd body.specular "0.22 0.22 0.26 1"
..\..\..\..\ini ..\car.shd body.shininess "16"
..\..\..\..\ini ..\car.shd shader_vitres.layer0.map "textures/vitres.tga"
goto amb1
:beige_c
rem echo Vous avez choisi la couleur %choix%
pause
..\..\..\..\ini ..\car.shd body.ambient "0.063 0.072 0.054 1"
..\..\..\..\ini ..\car.shd body.diffuse "0.063 0.072 0.054 1"
..\..\..\..\ini ..\car.shd body.specular "0.60 0.54 0.36 1"
..\..\..\..\ini ..\car.shd body.shininess "12"
..\..\..\..\ini ..\car.shd shader_vitres.layer0.map "textures/vitres.tga"
goto amb1
:nn
rem echo Vous avez choisi la couleur %choix%
pause
..\..\..\..\ini ..\car.shd body.ambient "0.001 0.001 0.001 1"
..\..\..\..\ini ..\car.shd body.diffuse "0.001 0.001 0.001 1"
..\..\..\..\ini ..\car.shd body.specular "0.08 0.075 0.070 1"
..\..\..\..\ini ..\car.shd body.shininess "25"
..\..\..\..\ini ..\car.shd shader_vitres.layer0.map "textures/vitres.tga"
goto amb1
:ora
rem echo Vous avez choisi la couleur %choix%
pause
..\..\..\..\ini ..\car.shd body.diffuse "0.12 0.15 0.21 1"
..\..\..\..\ini ..\car.shd body.ambient "0.12 0.15 0.21 1"
..\..\..\..\ini ..\car.shd body.specular "0.48 0.40 0.27 1"
..\..\..\..\ini ..\car.shd body.shininess "25"
..\..\..\..\ini ..\car.shd shader_vitres.layer0.map "textures/vitres.tga"
goto amb1
:perle
rem echo Vous avez choisi la couleur %choix%
pause
..\..\..\..\ini ..\car.shd body.diffuse "0.08 0.09 0.14 1"
..\..\..\..\ini ..\car.shd body.ambient "0.07 0.09 0.14 1"
..\..\..\..\ini ..\car.shd body.specular "0.25 0.26 0.28 1"
..\..\..\..\ini ..\car.shd body.shininess "18"
..\..\..\..\ini ..\car.shd shader_vitres.layer0.map "textures/vitres.tga"
goto amb1
:tint
rem echo vous avez choisi les vitres teintes
pause
..\..\..\..\ini ..\car.shd shader_vitres.layer0.map "textures/vitres2.tga"
goto amb1
:amb1
cls
echo.
echo Veuillez choisir une action :
echo.
echo (1) Changer de couleur
echo (2) Quitter
echo.
set /p act= Votre action est :
rem CLS
rem if not '%act%'== set act=%act:~0,1%
if '%act%'=='1' goto start
if '%act%'=='2' goto exit
echo "%choix%" choix impossible, veuillez reessayer
pause
cls
:exit
exit
